<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();

		/////Genera TXt nomina Diaria
		//Consulta empleados a pagar
		$query_emp_pagar = "SELECT pct.*, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad, pe.nomina FROM historico_cestaticket AS pct INNER JOIN personal AS pe ON pct.cedula = pe.codigo WHERE pct.id = '".$_SESSION['id_validar']."' AND pct.concepto IN( '3102','3103')  AND estado_aprobacion_1='Aprobado'  AND envio_banesco='No' order by pe.nomina,pe.codigo";

	 	$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
		$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);

		//Consulta monto total a pagar
		$query_monto_pagar = "SELECT SUM(monto) AS monto FROM historico_cestaticket pct WHERE pct.concepto IN( '3102','3103') AND id='".$_SESSION['id_validar']."' AND estado_aprobacion_1='Aprobado' AND envio_banesco='No'";
	 	$resul_monto_pagar = mysqli_query($enlace,$query_monto_pagar);
		$row_monto=mysqli_fetch_array($resul_monto_pagar);
		$monto_total_pagar = str_replace('.','',$row_monto['monto']); //Monto total a pagar, se le quita el signo punto

		$fecha_lote = date("dmYhis"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
		$fecha_pago = date("dmY");
		$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
		$numero_serie = rand(100000,999999)+100000;

//Generación de archivo
		$f = "cesta_ticket_txt/cestaticket-100-".$fecha_lote.".txt";
		$file = fopen($f,"w+");
		$fo = "cesta_ticket_txt/cestaticket-200-".$fecha_lote.".txt";
    $fileOtros = fopen($fo,"w+");

		//REGISTRO: PRIMER LINEA //
    //fwrite($file,"1BAMRVECA    "); //Constante
    //fwrite($file,str_pad($fecha_lote, 8, "0", STR_PAD_LEFT));
   // fwrite($file,$numero_lote_archivo); //Número de lote aleatorio
   // fwrite($file,"PRODO0000000062J000000000148643"); //Constante
	//	fwrite($file,str_pad($cant_emp_pagar, 8, "0", STR_PAD_LEFT)); //Cantidad de empleados a Pagar
		//fwrite($file,str_pad($monto_total_pagar, 17, "0", STR_PAD_LEFT)); //Monto total a Pagar
		//fwrite($file,date('Ymd')); //Fecha a pagar
		//fwrite($file,"01050060515060033511"); //Constante
		//fwrite($file,str_pad($numero_serie, 15, "0", STR_PAD_LEFT)); //Número de serie
		//fwrite($file,str_pad('', 273, "0", STR_PAD_LEFT)); //Rellena 273 ceros
		//fwrite($file,"\r\n"); //Nueva Linea

		//REGISTRO: SEGUNDA LINEA //

		while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
			$cedula = $row_emp_pag['cedula'];
			$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
			$concepto_monto = $row_emp_pag['concepto'];
			$cuenta_banco = $row_emp_pag['cuenta'];
			$nacionalidad = $row_emp_pag['nacionalidad'];
			$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
			$correo = $row_emp_pag['mensaje'];
			$nomina = $row_emp_pag['nomina'];

			//fwrite($file,"2V"); //Constante

			//fwrite($file,"1000000000000               000000000000000"); //Constante
			//fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
			//fwrite($file," ");//Constante
			if($nomina == "100"){
				fwrite($file,$nacionalidad);
				fwrite($file,str_pad($cedula, 9, "0", STR_PAD_LEFT)); //Número de cedula
				fwrite($file,"  ");//Constante
				fwrite($file,str_pad($monto, 21, "0", STR_PAD_LEFT)); //Monto a pagar
				fwrite($file,$fecha_pago);
				fwrite($file,"\r\n"); //Nueva Linea
			}
			else{
				fwrite($fileOtros,$nacionalidad);
				fwrite($fileOtros,str_pad($cedula, 9, "0", STR_PAD_LEFT)); //Número de cedula
				fwrite($fileOtros,"  ");//Constante
				fwrite($fileOtros,str_pad($monto, 21, "0", STR_PAD_LEFT)); //Monto a pagar
				fwrite($fileOtros,$fecha_pago);
				fwrite($fileOtros,"\r\n"); //Nueva Linea
			}
			//fwrite($file," ");//Constante
			//fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
			//fwrite($file,"                0000000062000"); //Constatne
			//fwrite($file,str_pad($nombres, 60, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 60 caracteres
			//fwrite($file,str_pad(date('j'), 9, "0", STR_PAD_LEFT)); //Día sin cero a la izq
			//fwrite($file,rand(100000,999999)); //Aleatorio
			//fwrite($file,str_pad($correo, 50, " ", STR_PAD_RIGHT)); //Imprime correo con espacios hasta 50 caracteres
			//fwrite($file,"0000                              ");//Constante
			//fwrite($file,str_pad($concepto_monto, 80, " ", STR_PAD_RIGHT)); //Imprime constante con espacios hasta 80 caracteres
			//fwrite($file,"00000000000000000000000000000000000");//Constante

		}
    fclose($file);
    fclose($fileOtros);

    echo "<style>
    .regristrado{
        color: green;
        margin-left: 7%;
        font-weight: bold;
    }
    </style>";
    // echo "<p class='regristrado' >Archivos guardados correctamente<p>";
    // echo "<script> window.location.href = 'generar_txt.php?file=$f'; </script>";

		echo "<p class='regristrado' >Archivo nomina 100 guardado correctamente <a href = 'generar_txt.php?file=$f';>Descargar</a><p>";
		echo "<p class='regristrado' >Archivo otras nominas guardado correctamente <a href = 'generar_txt.php?file=$fo';>Descargar</a><p>";

		echo "<a id='link1' target='_blank' href = 'generar_txt.php?file=$fo';></a>";
		echo "<a id='link2' target='_blank' href = 'generar_txt.php?file=$f';></a>";
		echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";

		/////FIN de Genera TXt nomina Diaria



?>
